package com.sw.patroleditor.domain.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * 点参数表。
地图信息，点的种类和位置信息。
 * point
 */
@Data
@TableName("point")
public class PointDTO{
    /**
     * 编号
     */
    private Integer id;

    /**
     * Point UID for mapping with RCPM
     */
    private String uuid;

    /**
     * 种类：起点、充电点、交点、停靠点。
     */
    private Integer type;

    /**
     * 绝对物理位置X坐标 unit:mm
     */
    private Integer absolutePosX;

    /**
     * 绝对物理位置Y坐标 unit:mm
     */
    private Integer absolutePosY;

    /**
     * 地图相对位置X坐标 unit:pix
     */
    private Integer relativePosX;

    /**
     * 地图相对位置Y坐标 unit:pix
     */
    private Integer relativePosY;

    /**
     * 机器人朝向
     */
    private Double yaw;

    private String note;

}